最新版 OpenCore 引导界面没有 10.15 及以下系统选项的解决办法

释放双眼,带上耳机,听听看~!

部分低版本系统用户更新 OC 0.7.2 后,发现引导引导界面不能正常显示系统选项,这是因为 OC 在安全性方面做了一个改动,对允许加载的 APFS 驱动修改了时间和版本限制的默认,导致还在使用低于 macOS 11.0 Big Sur 的用户会看不到系统选项。

简单来说就是 OC 维护团队觉得,允许 macOS 加载苹果已经放弃支持的 APFS 版本驱动,会对系统造成安全性问题(或有漏洞),于是他们把 MinDate 和 MinVersion 调整到了最低 macOS 11.0 Big Sur 对应的版本。由于 APFS 文件系统在 macOS 10.14 开始默认采用,到 10.15 的时候变为强制使用,这个修改就导致了 OpenCore 0.7.2 在引导界面无法看到低于 11.0 的系统选项。

解决方法:

修改 EFI 的 config.plist 文件,将inDate/MinVersion的两个值改为 -1 :

PS:如果你不希望失去 OpenCore 这两个功能为你提供的安全性,也可以填写自定义值,下面是其它可以使用的值参考:

  • 10.13.6(17G66) High Sierra

MinDate:20180621
MinVersion:7480770080000000

  • 10.14.6(18G103) Mojave

MinDate:20190820
MinVersion:9452750070000000

  • 10.15.4(19E287) Catalina

MinDate:20200306
MinVersion:1412101001000000

「注意」上面提到的值,对应标注了系统版本,当你的计算机安装了低于上述版本时,你需要选择一个更低的版本对应值。例如,上述标注 Catalina 的值最低版本 10.15.4,如果你安装的是 10.15.1,那么你需要输入 10.14.6 的值才能保证对引导进入 10.15.1 系统不产生影响。

给TA买糖
共{{data.count}}人
人已买糖
五国

安装黑苹果出现“安装无法继续,因为安装器已损坏”的解决方法

2021-4-14 22:00:15

五国

解决 Clover 无法关闭啰嗦模式

2021-11-4 17:21:12

重要说明

如遇资源链接失效,请评论反馈或联系happy,我们会在第一时间修复!本站资源少部分采用蓝奏云,如遇链接失效请击查看(解决方法)


本站资源大多来自网络,仅用于学习测试,如有侵犯你的权益请联系管理员happy 或发送邮件至2517122292@qq.com

7 条回复 A文章作者 M管理员
  1. 摆摊卖幸福

    这个跟proper tree哪个好用

  2. sapphire007

    如能升级,还是用高版的macos吧?

  3. 人生何處不相逢

    真是高手,厉害啊,谢谢分享!

  4. haoyouandme

    好的,谢谢分享

  5. 1252202080

    谢谢分享

  6. alexan

    厉害了

  7. feiniao7168

    谢谢楼主分享

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索